---
updatedAt: 2026-09-10T09:08:55.000Z
agentTools:
  projectIndex: https://docs.striga.com/llms.txt
---

# Get Account Statement

Fetch an account statement with an account Id

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Business Wallets & Transactions",
    "description": "TODO"
  },
  "servers": [
    {
      "url": "https://www.sandbox.striga.com/api/v1/wallets"
    }
  ],
  "security": [
    {
      "apiKey": [],
      "authorization": []
    }
  ],
  "paths": {
    "/business/account/get-transactions-by-id": {
      "post": {
        "summary": "Get Account Statement",
        "description": "Fetch an account statement with an account Id",
        "tags": [
          "wallets"
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/BusinessGetTransactionsByIdRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessGetTransactionsByIdResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request. The request was unacceptable, often due to missing a required parameter.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/BadRequestError"
                    },
                    {
                      "$ref": "#/components/schemas/BusinessNotFoundError"
                    },
                    {
                      "$ref": "#/components/schemas/WalletOwnerMismatchError"
                    },
                    {
                      "$ref": "#/components/schemas/RequestValidationError"
                    },
                    {
                      "$ref": "#/components/schemas/InvalidApplicationIdError"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Invalid authentication header",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/AuthError"
                    },
                    {
                      "$ref": "#/components/schemas/BusinessUnapprovedIdentityError"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BusinessSuspendedError"
                }
              }
            }
          },
          "500": {
            "description": "Unexpected server error.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/GenericBusinessGetTransactionsByIdError"
                    }
                  ]
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKey": {
        "type": "apiKey",
        "in": "header",
        "name": "api-key",
        "description": "Your Striga API key"
      },
      "authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Your HMAC signature"
      }
    },
    "schemas": {
      "Transaction": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "358f5e37-4e15-424e-9479-3037cf68989a"
          },
          "accountId": {
            "type": "string",
            "example": "b1b6055babf12d7b18cbbe458248dfcb"
          },
          "syncedOwnerId": {
            "type": "string",
            "example": "25fb7453-67e8-4f4a-b741-f7cab0eac57d"
          },
          "sourceSyncedOwnerId": {
            "type": "string",
            "example": "25fb7453-67e8-4f4a-b741-f7cab0eac57d"
          },
          "timestamp": {
            "type": "string",
            "description": "RFC 3339 format",
            "format": "date-time",
            "example": "2024-07-02T13:14:44.829Z"
          },
          "txType": {
            "type": "string",
            "example": "ON_CHAIN_WITHDRAWAL_CONFIRMED"
          },
          "memo": {
            "type": "string",
            "example": "MATIC_POLYGON ON_CHAIN_WITHDRAWAL_CONFIRMED COMPLETED"
          },
          "currency": {
            "type": "string",
            "example": "MATIC_POLYGON"
          },
          "exchangeRate": {
            "type": "string",
            "example": "1"
          },
          "balanceBefore": {
            "type": "object",
            "properties": {
              "amount": {
                "type": "string",
                "example": "6703773584905660377"
              },
              "balance": {
                "type": "string",
                "example": "6703773584905660377"
              }
            }
          },
          "balanceAfter": {
            "type": "object",
            "properties": {
              "amount": {
                "type": "string",
                "example": "6703773584905660377"
              },
              "balance": {
                "type": "string",
                "example": "6703773584905660377"
              }
            }
          },
          "blockchainSourceAddress": {
            "type": "string",
            "example": "0x606baDb2A7145FFC443575635Bb07fd23AE14478"
          },
          "txHash": {
            "type": "string",
            "example": "0x8f67cdecba971a40ab9ec59972efb8130e31c011a8e6c909aadfee00223a9b4e"
          },
          "blockchainDepositAddress": {
            "type": "string",
            "example": "0xd1257B051c3CB9d26A7f3b2073b542241dE470b1"
          },
          "blockchainConfirmations": {
            "type": "integer",
            "example": 1
          },
          "feeEstimate": {
            "type": "object",
            "properties": {
              "totalFee": {
                "type": "string",
                "example": "42021000420000"
              },
              "networkFee": {
                "type": "string",
                "example": "42021000420000"
              },
              "ourFee": {
                "type": "string",
                "example": "42021000420000"
              },
              "theirFee": {
                "type": "string",
                "example": "0"
              },
              "feeCurrency": {
                "type": "string",
                "example": "MATIC_POLYGON"
              },
              "gasLimit": {
                "type": "string",
                "example": "21000"
              },
              "gasPrice": {
                "type": "string",
                "example": "2.002"
              },
              "fixedFeeDetails": {
                "type": "object",
                "properties": {
                  "amount": {
                    "type": "string",
                    "example": "0"
                  },
                  "exchangeRate": {
                    "type": "string",
                    "example": "0"
                  }
                }
              },
              "percentageFeeDetails": {
                "type": "object",
                "properties": {
                  "amount": {
                    "type": "string",
                    "example": "0"
                  }
                }
              }
            }
          },
          "blockchainNetwork": {
            "type": "string",
            "example": "Polygon Testnet Amoy"
          },
          "bankingTransactionId": {
            "type": "string"
          },
          "bankingTransactionShortId": {
            "type": "string"
          },
          "bankingTransactionAmount": {
            "type": "string"
          },
          "bankingSenderBic": {
            "type": "string"
          },
          "bankingSenderIban": {
            "type": "string"
          },
          "bankingSenderName": {
            "type": "string"
          },
          "bankingPaymentType": {
            "type": "string"
          },
          "bankingSenderInformation": {
            "type": "string"
          },
          "bankingSenderRoutingCodes": {
            "type": "string"
          },
          "bankingSenderAccountNumber": {
            "type": "string"
          },
          "bankingBeneficiaryBic": {
            "type": "string"
          },
          "bankingBeneficiaryIban": {
            "type": "string"
          },
          "relatedCardTransactionId": {
            "type": "string"
          },
          "isCardAuthorizationHold": {
            "type": "boolean"
          },
          "relatedCardId": {
            "type": "string"
          },
          "relatedCardSettlementId": {
            "type": "string"
          },
          "cardTransactionAmount": {
            "type": "string"
          },
          "cardTransactionCurrency": {
            "type": "string"
          },
          "travelRule": {
            "$ref": "#/components/schemas/TravelRuleHoldInformation"
          }
        }
      },
      "TravelRuleHoldInformation": {
        "type": "object",
        "required": [
          "onHold"
        ],
        "properties": {
          "onHold": {
            "type": "boolean",
            "description": "True when an active travel-rule hold exists in compliance review for this item."
          }
        }
      },
      "BusinessGetTransactionsByIdRequest": {
        "type": "object",
        "required": [
          "businessId",
          "accountId",
          "txId"
        ],
        "properties": {
          "businessId": {
            "type": "string",
            "description": "Unique Id of the business for whom this wallet is being created",
            "format": "uuid",
            "example": "25fb7453-67e8-4f4a-b741-f7cab0eac57d"
          },
          "accountId": {
            "type": "string",
            "description": "The unique ID of the account that belongs to the businessId",
            "example": "b1b6055babf12d7b18cbbe458248dfcb"
          },
          "txId": {
            "type": "string",
            "description": "transaction Id",
            "format": "uuid",
            "example": "358f5e37-4e15-424e-9479-3037cf68989a"
          }
        }
      },
      "BusinessGetTransactionsByIdResponse": {
        "type": "object",
        "required": [
          "transactions",
          "total",
          "count"
        ],
        "properties": {
          "transactions": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Transaction"
            }
          },
          "total": {
            "type": "number",
            "example": 1
          },
          "count": {
            "type": "number",
            "example": 1
          }
        }
      },
      "AuthError": {
        "type": "object",
        "description": "Invalid authentication header",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Invalid authentication header"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "30014"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "BadRequestError": {
        "type": "object",
        "description": "Bad request error",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Bad request error"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "00013"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "RequestValidationError": {
        "type": "object",
        "description": "Invalid request body fields",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Invalid fields"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "00002"
            ]
          },
          "errorDetails": {
            "type": "array",
            "items": {
              "type": "object",
              "required": [
                "msg",
                "param"
              ],
              "properties": {
                "msg": {
                  "type": "string"
                },
                "param": {
                  "type": "string"
                },
                "location": {
                  "type": "string"
                }
              }
            }
          }
        }
      },
      "InvalidApplicationIdError": {
        "type": "object",
        "description": "Invalid ApplicationId",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "applicationId is required"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "00000"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "BusinessNotFoundError": {
        "type": "object",
        "description": "Business details not found for the given businessId",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Business details not found for the given businessId"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "41004"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "GenericBusinessGetTransactionsByIdError": {
        "type": "object",
        "description": "Generic get transactions by id error",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Unknown generic get transactions by id error"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "32013"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "WalletOwnerMismatchError": {
        "type": "object",
        "description": "Owner mismatch error",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Owner mismatch error"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "30029"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "BusinessUnapprovedIdentityError": {
        "type": "object",
        "description": "Unapproved identity error",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Unapproved identity"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "30007"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      },
      "BusinessSuspendedError": {
        "type": "object",
        "description": "Business suspended error",
        "required": [
          "message",
          "errorCode",
          "errorDetails"
        ],
        "properties": {
          "message": {
            "type": "string",
            "enum": [
              "Business is suspended"
            ]
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "30046"
            ]
          },
          "errorDetails": {
            "type": "string"
          }
        }
      }
    }
  }
}
```